<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_EcoPerformance StructType
 * @subpackage Structs
 */
class Get_EcoPerformance extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The EcoPerformanceSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\EcoPerformanceSelection
     */
    public $EcoPerformanceSelection;
    /**
     * Constructor method for Get_EcoPerformance
     * @uses Get_EcoPerformance::setLogin()
     * @uses Get_EcoPerformance::setEcoPerformanceSelection()
     * @param \StructType\Login $login
     * @param \StructType\EcoPerformanceSelection $ecoPerformanceSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\EcoPerformanceSelection $ecoPerformanceSelection = null)
    {
        $this
            ->setLogin($login)
            ->setEcoPerformanceSelection($ecoPerformanceSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_EcoPerformance
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get EcoPerformanceSelection value
     * @return \StructType\EcoPerformanceSelection|null
     */
    public function getEcoPerformanceSelection()
    {
        return $this->EcoPerformanceSelection;
    }
    /**
     * Set EcoPerformanceSelection value
     * @param \StructType\EcoPerformanceSelection $ecoPerformanceSelection
     * @return \StructType\Get_EcoPerformance
     */
    public function setEcoPerformanceSelection(\StructType\EcoPerformanceSelection $ecoPerformanceSelection = null)
    {
        $this->EcoPerformanceSelection = $ecoPerformanceSelection;
        return $this;
    }
}
